Package ru.bgcrm.plugin.task.model

# Class Task

java.lang.Object
org.bgerp.model.base.Id
ru.bgcrm.plugin.task.model.Task

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`

public class Task extends Id
Process assigned task to be executed right now or in future.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Task()`
  `Task(String typeId, int processId, Date scheduledTime)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Preferences`
  `getConfig()`
  `Date`
  `getExecutedTime()`
  `String`
  `getLog()`
  `int`
  `getProcessId()`
  `Date`
  `getScheduledTime()`
  `String`
  `getTypeId()`
  `void`
  `setConfig(Preferences config)`
  `void`
  `setExecutedTime(Date executeDt)`
  `void`
  `setLog(String log)`
  `void`
  `setProcessId(int processId)`
  `void`
  `setScheduledTime(Date planDt)`
  `void`
  `setTypeId(String typeId)`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Task

    public Task()

  - ### Task

    public Task(String typeId, int processId, Date scheduledTime)

- ## Method Details

  - ### getTypeId

    public String getTypeId()

  - ### setTypeId

    public void setTypeId(String typeId)

  - ### getProcessId

    public int getProcessId()

  - ### setProcessId

    public void setProcessId(int processId)

  - ### getScheduledTime

    public Date getScheduledTime()

  - ### setScheduledTime

    public void setScheduledTime(Date planDt)

  - ### getExecutedTime

    public Date getExecutedTime()

  - ### setExecutedTime

    public void setExecutedTime(Date executeDt)

  - ### getConfig

    public Preferences getConfig()

  - ### setConfig

    public void setConfig(Preferences config)

  - ### getLog

    public String getLog()

  - ### setLog

    public void setLog(String log)